Subject: Re: [avtext] New Version Notification for draft-samuelsson-avtext-rpvi-00.txt

From: Jonatan Samuelsson <[email-masked]>
Date: Tue, 16 Dec 2014 13:38:14 +0000

Dear all,

We have submitted a new draft to the IETF repository. The draft describes a new feedback message (RPVI) intended to augment the feedback messages defined in [RFC4585], [RFC5104] and [RFC6642].

The RPVI feedback message enables the following features:
 - Indication of multiple reference pictures that can be used for reference
 - Indication of loss of a specific picture
 - Indication of incorrect Decoded Picture Hash value
 - Possibility to include Decoded Picture Hash value in the feedback message (in order for the media sender to verify that a specific picture has been correctly decoded)

All of these features were discussed during the drafting of the RTP payload format for H.265/HEVC. However, at that time it was decided to define a generic scheme (not limited to HEVC) in a separate document.

Your feedback on the draft is highly appreciated.

Best Regards Jonatan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: den 15 december 2014 10:05
To: Muhammed Coban; Stephan Wenger; Muhammed Coban; Jonatan Samuelsson; Stephan Wenger; Jonatan Samuelsson
Subject: New Version Notification for draft-samuelsson-avtext-rpvi-00.txt

A new version of I-D, draft-samuelsson-avtext-rpvi-00.txt
has been successfully submitted by Jonatan Samuelsson and posted to the IETF repository.

Name:		draft-samuelsson-avtext-rpvi
Revision:	00
Title:		Reference Picture Verification Information in the RTP Audio-Visual Profile with Feedback (AVPF)
Document date:	2014-12-15
Group:		Individual Submission
Pages:		11
URL:            http://www.ietf.org/internet-drafts/draft-samuelsson-avtext-rpvi-00.txt
Status:         https://datatracker.ietf.org/doc/draft-samuelsson-avtext-rpvi/
Htmlized:       http://tools.ietf.org/html/draft-samuelsson-avtext-rpvi-00

Abstract:
   This document specifies an extension to the feedback messages defined
   in the Audio-Visual Profile with Feedback (AVPF). The new Reference
   Picture Verification Information (RPVI) feedback message conveys
   information about available reference pictures in the decoded picture
   buffer of a video decoder in the receiver of an RTP video stream.

   By including information related to Decoded Picture Hash (DPH)
   values, media senders and media receivers can verify that reference
   pictures used for prediction by the video encoder and the video
   decoder are aligned. It is also possible to use the RPVI feedback
   message to indicate that a specific reference picture has incorrect
   sample values (i.e. a mismatch in the DPH value between encoder and
   decoder) or that a specific reference picture has been lost.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat